Subject: bis-16 comments

From: David Shaw <[email-masked]>
Date: Tue, 25 Apr 2006 23:12:50 -0400

Section 5.1.2, Signature Types, says:

    There are a number of possible meanings for a signature, which are
    specified in a signature type octet in any given signature. See
    section 5.2.4, "Computing Signatures," for detailed information on
    how to compute and verify signatures of each type.

    There are a number of possible meanings for a signature, which may
    be indicated in a signature type octet in any given signature.
    Please note that the vagueness of these meanings is not a flaw, but
    a feature of the system. Because OpenPGP places final authority for
    validity upon the receiver of a signature, it may be that one
    signer's casual act might be more rigorous than some other
    authority's positive act.

The two opening sentences are redundant.  Suggest:

    There are a number of possible meanings for a signature, which are
    indicated in a signature type octet in any given signature.
    Please note that the vagueness of these meanings is not a flaw,
    but a feature of the system. Because OpenPGP places final authority
    for validity upon the receiver of a signature, it may be that one
    signer's casual act might be more rigorous than some other
    authority's positive act.  See section 5.2.4, "Computing
    Signatures," for detailed information on how to compute and verify
    signatures of each type.

(Combining the two)

*******************

Section 5.2.2, Version 3 Signature Packet Format has a sentence that
reads "The details of the calculation are different for DSA signature
than for RSA signatures."  That should be "DSA signatures" (plural).

*******************

In section 5.2.3.12. Revocable, the second sentence reads "Packet body
contains a Boolean flag indicating whether the signature is
revocable."  Suggest adding a "The" to read "The packet body
contains..."

*******************

In section 9.3. Compression Algorithms, suggest adding:

    Algorithm 0, "uncompressed," may only be used to denote a
    preference for uncompressed data in the preferred compression
    algorithms subpacket (section 5.2.3.9). Implementations MUST NOT
    use uncompressed in Compressed Data Packets.

(We had the same problem with using cipher algorithm 0 in encrypted
data packets, and made that MUST NOT as well)

*******************

In section 10.2. OpenPGP Messages, the paragraph beginning "In
addition, decrypting a Symmetrically Encrypted Data Packet" has a
blank line in the middle of the paragraph.

*******************

Section 12.5, DSA, has a sentence that reads "It MUST NOT implement a
DSA signature with a q size of less than 160 bits."  That should be a
"DSA key" rather than a "DSA signature".

*******************

Section 13, Security Considerations says:

    * SHA384 requires the same work as SHA512. In general, there are
      few reasons to use it -- you need a situation where one needs
      more security than SHA256, but does not want to have the 512-bit
      data length.

Suggest:

    * SHA224 and SHA384 require the same work as SHA256 and SHA512
      respectively. In general, there are few reasons to use them
      outside of DSS compatibility. You need a situation where one
      needs more security than smaller hashes, but does not want to
      have the full 256-bit or 512-bit data length.

David

Date: Tue, 25 Apr 2006 23:12:50 -0400
From: David Shaw <[email-masked]>
To: [email-masked]
Subject: bis-16 comments
Mail-Followup-To: [email-masked]
OpenPGP: id=0x99242560; url=http://www.jabberwocky.com/david/keys.asc
Sender: [email-masked]

Section 5.1.2, Signature Types, says:

    There are a number of possible meanings for a signature, which are
    specified in a signature type octet in any given signature. See
    section 5.2.4, "Computing Signatures," for detailed information on
    how to compute and verify signatures of each type.

    There are a number of possible meanings for a signature, which may
    be indicated in a signature type octet in any given signature.
    Please note that the vagueness of these meanings is not a flaw, but
    a feature of the system. Because OpenPGP places final authority for
    validity upon the receiver of a signature, it may be that one
    signer's casual act might be more rigorous than some other
    authority's positive act.

The two opening sentences are redundant.  Suggest:

    There are a number of possible meanings for a signature, which are
    indicated in a signature type octet in any given signature.
    Please note that the vagueness of these meanings is not a flaw,
    but a feature of the system. Because OpenPGP places final authority
    for validity upon the receiver of a signature, it may be that one
    signer's casual act might be more rigorous than some other
    authority's positive act.  See section 5.2.4, "Computing
    Signatures," for detailed information on how to compute and verify
    signatures of each type.

(Combining the two)

*******************

Section 5.2.2, Version 3 Signature Packet Format has a sentence that
reads "The details of the calculation are different for DSA signature
than for RSA signatures."  That should be "DSA signatures" (plural).

*******************

In section 5.2.3.12. Revocable, the second sentence reads "Packet body
contains a Boolean flag indicating whether the signature is
revocable."  Suggest adding a "The" to read "The packet body
contains..."

*******************

In section 9.3. Compression Algorithms, suggest adding:

    Algorithm 0, "uncompressed," may only be used to denote a
    preference for uncompressed data in the preferred compression
    algorithms subpacket (section 5.2.3.9). Implementations MUST NOT
    use uncompressed in Compressed Data Packets.

(We had the same problem with using cipher algorithm 0 in encrypted
data packets, and made that MUST NOT as well)

*******************

In section 10.2. OpenPGP Messages, the paragraph beginning "In
addition, decrypting a Symmetrically Encrypted Data Packet" has a
blank line in the middle of the paragraph.

*******************

Section 12.5, DSA, has a sentence that reads "It MUST NOT implement a
DSA signature with a q size of less than 160 bits."  That should be a
"DSA key" rather than a "DSA signature".

*******************

Section 13, Security Considerations says:

    * SHA384 requires the same work as SHA512. In general, there are
      few reasons to use it -- you need a situation where one needs
      more security than SHA256, but does not want to have the 512-bit
      data length.

Suggest:

    * SHA224 and SHA384 require the same work as SHA256 and SHA512
      respectively. In general, there are few reasons to use them
      outside of DSS compatibility. You need a situation where one
      needs more security than smaller hashes, but does not want to
      have the full 256-bit or 512-bit data length.

David

To: [email-masked]
Subject: Mistake in section 5.3, also in RFC2440
Date: Tue, 25 Apr 2006 19:28:31 -0700 (PDT)
From: [email-masked] ("Hal Finney")
Sender: [email-masked]

I noticed that the language in section 5.3 on Symmetric-Key Encrypted
Session Key packets is not right:

5.3. Symmetric-Key Encrypted Session Key Packets (Tag 3)

    The Symmetric-Key Encrypted Session Key packet holds the
    symmetric-key encryption of a session key used to encrypt a message.
    Zero or more Encrypted Session Key packets and/or Symmetric-Key
    Encrypted Session Key packets may precede a Symmetrically Encrypted
    Data Packet that holds an encrypted message.

The second sentence should begin "Zero or more Public-Key Encrypted
Session Key packets and/or Symmetric-Key Encrypted Session Key Packets..."
It left off "Public-Key" and just refers to "Encrypted Session Key
packets" which is not a packet type.  In particular, referring to
"Encrypted Session Key packets and/or Symmetric-Key Encrypted Session
Key Packets" is incoherent.

The langage in 5.1, for comparsion:

5.1. Public-Key Encrypted Session Key Packets (Tag 1)

    A Public-Key Encrypted Session Key packet holds the session key used
    to encrypt a message. Zero or more Encrypted Session Key packets
    (either Public-Key or Symmetric-Key) may precede a Symmetrically
    Encrypted Data Packet, which holds an encrypted message.

This is not ideal in terms of the packet names; you have to mentally
move the prefixes listed in the parenthesis up and put them in front of
Encrypted Session Key.  But given that slight lapse in clarity, it is
basically correct, and is not as bad as 5.3.

All this language is unchanged since RFC2440.

I do think we should fix at least 5.3, because the present wording is
meaningless and confusing.  If we do that I'd suggest changing the 2nd
sentence of 5.1 to match that of 5.3.

Hal Finney

From: Derek Atkins <[email-masked]>
To: [email-masked]
Subject: WGLC: draft-ietf-openpgp-rfc2440bis-16  ends Wed, May 3
Date: Wed, 19 Apr 2006 18:17:08 -0400
Sender: [email-masked]

Hi, all

As you've noticed, bis16 has been released.  I believe that there
are no open issues with this version, so I hereby initiate a
Working Group Last Call on draft-ietf-openpgp-rfc2440bis-16
to end two weeks from today at Wednesday, May 3, 2006.  Please
get your comments in by 7pm US/EDT (2300Z).

You can obtain the draft from:
  http://www.ietf.org/internet-drafts/draft-ietf-openpgp-rfc2440bis-16.txt

Please send comments to me and either to the editor and/or to the list.

Thanks!

-derek

-- 
       Derek Atkins                 617-623-3745
       [email-masked]             www.ihtfp.com
       Computer and Internet Security Consultant

To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-openpgp-rfc2440bis-16.txt 
Date: Wed, 19 Apr 2006 15:50:02 -0400
Sender: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the An Open Specification for Pretty Good Privacy Working Group of the IETF.

	Title		: OpenPGP Message Format
	Author(s)	: J. Callas, et al.
	Filename	: draft-ietf-openpgp-rfc2440bis-16.txt
	Pages		: 75
	Date		: 2006-4-19
	
This document is maintained in order to publish all necessary
information needed to develop interoperable applications based on
the OpenPGP format. It is not a step-by-step cookbook for writing an
application. It describes only the format and methods needed to
read, check, generate, and write conforming packets crossing any
network. It does not deal with storage and implementation questions.
It does, however, discuss implementation issues necessary to avoid
security flaws.

OpenPGP software uses a combination of strong public-key and
symmetric cryptography to provide security services for electronic
communications and data storage. These services include
confidentiality, key management, authentication, and digital
signatures. This document specifies the message formats used in
OpenPGP.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-openpgp-rfc2440bis-16.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-openpgp-rfc2440bis-16.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-openpgp-rfc2440bis-16.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-openpgp-rfc2440bis-16.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-openpgp-rfc2440bis-16.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

Cc: OpenPGP <[email-masked]>
From: Jon Callas <[email-masked]>
Subject: Re: bis16 out
Date: Wed, 19 Apr 2006 11:44:04 -0700
To: Ian G <[email-masked]>
Sender: [email-masked]

On 19 Apr 2006, at 5:09 AM, Ian G wrote:

> Jon Callas wrote:
>> I just sent off bis16.
>
> Excellent!
>
> What is the status of "last call" ?  Back in?
> Restarting?

I'm not allowed to say that, Derek is. However, it is my expectation  
that yes, this is the real last call on 2440+.

	Jon

From: Jon Callas <[email-masked]>
Subject: Re: Secret key transport
Date: Wed, 19 Apr 2006 11:36:30 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 19 Apr 2006, at 3:35 AM, Daniel A. Nagy wrote:

>> Rename section 10.1 from "Transferable Public Keys" to "Transferable
>> Keys", and add to the end of the section:
>>
>>     Secret keys may be transferred in the same manner and format as
>>     public keys by replacing any public key packets with the
>>     corresponding secret key packets and and public subkey packets  
>> with
>>     the corresponding secret subkey packets.
>
> I support this proposal.
>

That's pretty much in bis16.

	Jon

Date: Wed, 19 Apr 2006 14:09:56 +0200
From: Ian G <[email-masked]>
Organization: http://financialcryptography.com/
To: Jon Callas <[email-masked]>
Cc: OpenPGP <[email-masked]>
Subject: Re: bis16 out
Sender: [email-masked]

Jon Callas wrote:
> I just sent off bis16.

Excellent!

What is the status of "last call" ?  Back in?
Restarting?

iang

Date: Wed, 19 Apr 2006 12:35:20 +0200
To: OpenPGP <[email-masked]>
Subject: Re: Secret key transport
From: [email-masked] (Daniel A. Nagy)
Sender: [email-masked]

On Tue, Apr 18, 2006 at 06:56:37PM -0400, David Shaw wrote:

> The difference is that GnuPG prints a warning when it could not do
> this automatic conversion because of missing self-signatures.  PGP is
> (probably more appropriately) quiet.  I think you are interpreting
> that warning message as a rejection.

Maybe. I will double-check.
 
> All binding signatures bind to the public key.  There is no such thing
> as a secret key binding signature.

I know.
 
> Here's a minimal-change proposal:
> 
> Rename section 10.1 from "Transferable Public Keys" to "Transferable
> Keys", and add to the end of the section:
> 
>     Secret keys may be transferred in the same manner and format as
>     public keys by replacing any public key packets with the
>     corresponding secret key packets and and public subkey packets with
>     the corresponding secret subkey packets.

I support this proposal.

-- 
Daniel

To: OpenPGP <[email-masked]>
From: Jon Callas <[email-masked]>
Subject: bis16 out
Date: Tue, 18 Apr 2006 16:20:55 -0700
Sender: [email-masked]

I just sent off bis16.

	Jon

From: Jon Callas <[email-masked]>
Subject: Re: Secret key transport
Date: Tue, 18 Apr 2006 16:12:59 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

I found some suggested text that David gave me last year since  
sending that. I added it in.

	Jon

Date: Tue, 18 Apr 2006 18:56:37 -0400
From: David Shaw <[email-masked]>
To: OpenPGP <[email-masked]>
Subject: Re: Secret key transport
Mail-Followup-To: OpenPGP <[email-masked]>
OpenPGP: id=99242560; url=http://www.jabberwocky.com/david/keys.asc
Sender: [email-masked]

On Tue, Apr 18, 2006 at 11:41:55PM +0200, Daniel A. Nagy wrote:
> 
> On Tue, Apr 18, 2006 at 12:40:00PM -0700, Jon Callas wrote:
> > On 14 Dec 2005, at 5:56 AM, David Shaw wrote about secret keys
> > [snipped]
> > Since no one has said anything in months, I'm declaring that the  
> > answer is, "no, this is not something that needs a line or two of text."
> 
> I think, this problem merits a little bit of discussion, as there are some
> interoperability issues at stake.
> 
> Firstly, I think that 5.5.1.3. should make it clear that secret key packets
> are standardized for the purposes of exporting and importing secret key
> material. As far as interoperability is concerned, fully OpenPGP-compliant
> implementations may store private keys any way they like.

I don't think anyone was arguing otherwise.  My original mail was
simply noting that there is not a single word in the standard of how
to export a secret key.  Export, not store.

> As for importing and exporting, a major player (namely WK's GnuPG) rejects
> private key blocks that do not contain binding self-signatures for UIDs and
> subkeys.

I think there is some misunderstanding here about what happens on
secret key import in GnuPG.  GnuPG, like PGP, tries to automatically
convert a secret key to a public key on import if the public key
doesn't already exist in the keyring.  They can do this because secret
key packets are essentially a public key packet with the secret data
stuck on the end.  This isn't mandated (or even mentioned) by the
standard, of course, but is a convenience.

The difference is that GnuPG prints a warning when it could not do
this automatic conversion because of missing self-signatures.  PGP is
(probably more appropriately) quiet.  I think you are interpreting
that warning message as a rejection.

> Moreover, the required binding signatures bind the material in
> question to the corresponding PUBLIC key, not the private one. I am not sure
> why they chose to do it this way, but I am strongly opposed to mandating
> this behavior in the standard, as it would make some other existing
> implementations non-compliant.

All binding signatures bind to the public key.  There is no such thing
as a secret key binding signature.

Here's a minimal-change proposal:

Rename section 10.1 from "Transferable Public Keys" to "Transferable
Keys", and add to the end of the section:

    Secret keys may be transferred in the same manner and format as
    public keys by replacing any public key packets with the
    corresponding secret key packets and and public subkey packets with
    the corresponding secret subkey packets.

David

Cc: [email-masked]
From: Jon Callas <[email-masked]>
Subject: Re: Suggested changes for DSA2, take 4
Date: Tue, 18 Apr 2006 15:32:16 -0700
To: David Shaw <[email-masked]>
Sender: [email-masked]

On 29 Mar 2006, at 8:37 AM, David Shaw wrote:

>
> Here is round four.  Only little fiddle changes at this point.
>
> ==================================
>
> Section 5.2.2 (Version 3 Signature Packet Format) says:
>
>     DSA signatures MUST use hashes with a size of 160 bits, to  
> match q,
>     the size of the group generated by the DSA key's generator value.
>     The hash function result is treated as a 160 bit number and used
>     directly in the DSA signature algorithm.
>
> change to:
>
>     DSA signatures MUST use hashes that are equal in size to the
>     number of bits of q, the group generated by the DSA key's
>     generator value.  If the output size of the chosen hash is larger
>     than the number of bits of q, the hash result is truncated to fit
>     by taking the number of leftmost bits equal to the number of bits
>     of q.  This (possibly truncated) hash function result is treated
>     as a number and used directly in the DSA signature algorithm.
>

Done.

> No change.
>
> ==================================
>
> Section 12.5. (DSA) says:
>
>     An implementation SHOULD NOT implement DSA keys of size less than
>     1024 bits. Note that present DSA is limited to a maximum of  
> 1024 bit
>     keys, which are recommended for long-term use. Also, DSA keys MUST
>     be an even multiple of 64 bits long.
>
> change to:
>
>     An implementation SHOULD NOT implement DSA keys of size less than
>     1024 bits or with a q size of less than 160 bits.  DSA keys MUST
>     also be a multiple of 64 bits, and the q size MUST be a multiple
>     of 8 bits.  The Digital Signature Standard (DSS) [FIPS186]
>     specifies that DSA be used in one of the following ways:
>
>     * 1024-bit key, 160-bit q, SHA-1, SHA-224, SHA-256, SHA-384 or  
> SHA-512 hash
>     * 2048-bit key, 224-bit q, SHA-224, SHA-256, SHA-384 or SHA-512  
> hash
>     * 2048-bit key, 256-bit q, SHA-256, SHA-384 or SHA-512 hash
>     * 3072-bit key, 256-bit q, SHA-256, SHA-384 or SHA-512 hash
>
>     The above key and q size pairs were chosen to best balance
>     the strength of the key with the strength of the hash.
>     Implementations SHOULD use one of the above key and q size pairs
>     when generating DSA keys.  If DSS compliance is desired, one
>     of the specified SHA hashes must be used as well.  [FIPS186]
>     is the ultimate authority on DSS, and should be consulted for all
>     questions of DSS compliance.
>
>     Note that earlier versions of this standard only allowed a
>     160-bit q with no truncation allowed, so earlier implementations
>     may not be able to handle signatures with a different q size or a
>     truncated hash.
>
> Added a MUST that the q size is a multiple of 8.  I don't think any of
> us want to deal with hashes that don't end on a byte boundary.
>

Done, but I said that you MUST not use a q less than 160 bits.

> ==================================
>
> Section 13. (Security Considerations) says:
>
>      * The DSA algorithm will work with any 160-bit hash, but it is
>        sensitive to the quality of the hash algorithm, if the hash
>        algorithm is broken, it can leak the secret key. The Digital
>        Signature Standard (DSS) specifies that DSA be used with SHA-1.
>        RIPEMD-160 is considered by many cryptographers to be as  
> strong.
>        An implementation should take care which hash algorithms are
>        used with DSA, as a weak hash can not only allow a signature to
>        be forged, but could leak the secret key.
>
> change to:
>
>      * The DSA algorithm will work with any hash, but is sensitive to
>        the quality of the hash algorithm.  Verifiers should be aware
>        that even if the signer used a strong hash, an attacker could
>        have modified the signature to use a weak one.  Only signatures
>        using acceptably strong hash algorithms should be accepted as
>        valid.
>
> Also add:
>
>      * As OpenPGP combines many different asymmetric, symmetric, and
>        hash algorithms, each with different measures of strength, care
>        should be taken that the weakest element of an OpenPGP message
>        is still sufficiently strong for the purpose at hand.  While
>        consensus about the the strength of a given algorithm may
>        evolve, at publication time, NIST Special Publication 800-57
>        [SP800-57] recommended the following list of equivalent
>        strengths:
>
>        Asymmetric  |  Hash  |  Symmetric
>        key size    |  size  |  key size
>        ------------+--------+-----------
>           1024        160         80
> 	  2048        224        112
> 	  3072        256        128
> 	  7680        384        192
> 	 15360        512        256
>
> Added the key size reminder.
>

Done with various small edits. I had to fight with the formatting  
program. Here's what I did:

      * As OpenPGP combines many different asymmetric, symmetric, and
        hash algorithms, each with different measures of strength, care
        should be taken that the weakest element of an OpenPGP message
        is still sufficiently strong for the purpose at hand.  While
        consensus about the the strength of a given algorithm may
        evolve, NIST Special Publication 800-57 [SP800-57] recommends
        the following list of equivalent strengths:

            Asymmetric  |  Hash  |  Symmetric
             key size   |  size  |   key size
            ------------+--------+-----------
               1024        160         80
               2048        224        112
               3072        256        128
               7680        384        192
              15360        512        256

> ==================================
>
> David
>

Added in reference to SP800-57.

	Jon

Date: Tue, 18 Apr 2006 23:41:55 +0200
To: Jon Callas <[email-masked]>
Cc: OpenPGP <[email-masked]>
Subject: Re: Secret key transport
From: [email-masked] (Daniel A. Nagy)
Sender: [email-masked]

On Tue, Apr 18, 2006 at 12:40:00PM -0700, Jon Callas wrote:
> On 14 Dec 2005, at 5:56 AM, David Shaw wrote about secret keys
> [snipped]
> Since no one has said anything in months, I'm declaring that the  
> answer is, "no, this is not something that needs a line or two of text."

I think, this problem merits a little bit of discussion, as there are some
interoperability issues at stake.

Firstly, I think that 5.5.1.3. should make it clear that secret key packets
are standardized for the purposes of exporting and importing secret key
material. As far as interoperability is concerned, fully OpenPGP-compliant
implementations may store private keys any way they like.

As for importing and exporting, a major player (namely WK's GnuPG) rejects
private key blocks that do not contain binding self-signatures for UIDs and
subkeys. Moreover, the required binding signatures bind the material in
question to the corresponding PUBLIC key, not the private one. I am not sure
why they chose to do it this way, but I am strongly opposed to mandating
this behavior in the standard, as it would make some other existing
implementations non-compliant. The semantics of a secret key packet is the
following: "Here's a public key and its (possibly encrypted) private
counterpart." That's it.

I agree with Jon that there is no point in defining secret key blocks in
the standard. Let implementations handle secret key packets as they see fit
(including not handling them at all -- after all, being able to import and
export private keys is an option, not a requirement).

-- 
Daniel

From: Jon Callas <[email-masked]>
Subject: Re: NIST publishes new DSA draft
Date: Tue, 18 Apr 2006 14:37:39 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 14 Mar 2006, at 7:58 AM, David Shaw wrote:

>
> In the OpenPGP context, probably the most interesting bit is that the
> 160-bit hash limit has been removed.  The sizes supported are:
>
> * 1024-bit key, 160-bit hash (the current DSA)
> * 2048-bit key, 224-bit hash (presumably aimed at SHA-224)
> * 2048-bit key, 256-bit hash (presumably aimed at SHA-256)
> * 3072-bit key, 256-bit hash (presumably aimed at SHA-256)
>

I've added in SHA-224.

Just don't ask me to sign with it. :-)

	Jon

From: Jon Callas <[email-masked]>
Subject: Re: V3 secret keys
Date: Tue, 18 Apr 2006 12:56:16 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

In talking to Ben, a number of places where it said "resync" now says  
"resynchronization" to make it easier to find the text. That seems to  
resolve this whole issue.

	Jon

Cc: [email-masked]
From: Jon Callas <[email-masked]>
Subject: Re: Armor text change
Date: Tue, 18 Apr 2006 12:44:37 -0700
To: David Shaw <[email-masked]>
Sender: [email-masked]

On 10 Jan 2006, at 2:20 PM, David Shaw wrote:

>
> Here's two suggested language changes that flow from the recent
> discussion of armor:
>
> *******
>
> Section 6.2. Forming ASCII Armor has a sentence that reads:
>
>    The header lines, therefore, MUST start at the beginning of a  
> line, and
>    MUST NOT have text following them on the same line.
>
> Suggest to change it to:
>
>    The header lines, therefore, MUST start at the beginning of a  
> line, and
>    MUST NOT have text other than whitespace following them on the  
> same line.
>
> (i.e. add "other than whitespace")
>
> Ben Laurie pointed out the rationale that since the point of ignoring
> trailing whitespace in armored and clearsigned messages was to work
> around transport systems like mail that may add whitespace, then it is
> necessary to ignore whitespace on the header lines as well.
>

Done.

> *******
>
> This other change I do not feel particularly strongly about.  It may
> overspecify something that doesn't need it.  In section 6.2. Forming
> ASCII Armor, add something to the effect of:
>
>    Note that some transport methods are sensitive to line length.
>    While there is a limit of 76 characters for the Radix-64 data
>    (section 6.3), there is no limit to the length of Armor Headers.
>    Care should be taken that the Armor Headers are short enough to
>    survive transport.  One way to do this is to repeat an Armor Header
>    key multiple times with different values for each so that no one
>    line is overly long.
>

Done.

	Jon

From: Jon Callas <[email-masked]>
Subject: Re: Secret key transport
Date: Tue, 18 Apr 2006 12:40:00 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 14 Dec 2005, at 5:56 AM, David Shaw wrote:

>
> Well into comically late in the game here, but a question recently
> came up about the secret key transport format.  Namely, is there one?
> 2440bis has a public key transport format (the whole of section 10.1),
> and the format of secret key and secret subkey packets is defined, but
> there doesn't seem to be an analogue to section 10.1 for secret keys.
>
> For example, I've seen secret keys in this format:
>
>  - Secret key packet
>  - User ID packet
>  - Selfsig on user ID
>  - Secret subkey packet
>  - Selfsig on subkey
>
> I've also seen secret keys in this format:
>
>  - Secret key packet
>  - User ID packet
>  - Secret subkey packet
>
>  (i.e. missing the selfsigs).
>
> The first example strikes me as preferable as there is a mild benefit
> to having the secret key format parallel the public key format in that
> an implementation can extract the public key from the secret key
> automatically.  The second example requires a public key to be sent in
> addition to the secret key to get the selfsigs (while the selfsig on
> the user ID is optional, the one on the subkey isn't).
>
> Either way, though, 2440bis seems silent on this subject.  Is this
> something that needs a line or two of text?

Since no one has said anything in months, I'm declaring that the  
answer is, "no, this is not something that needs a line or two of text."

	Jon

Cc: [email-masked]
From: Jon Callas <[email-masked]>
Subject: Re: Other -15 comments
Date: Tue, 18 Apr 2006 12:32:42 -0700
To: David Shaw <[email-masked]>
Sender: [email-masked]

On 5 Dec 2005, at 11:50 AM, David Shaw wrote:

>
> 5.5.2. Public Key Packet Formats says "Third, there are minor
> weaknesses in the MD5 hash algorithm that make developers prefer other
> algorithms."  Suggest dropping the word "minor".
>

Done.

> *****
>
> Section 5.5.2. Public Key Packet Formats says:
>
>   V3 keys are deprecated; an implementation SHOULD NOT generate a V3
>   key, but MAY accept it.
>
> but section 11.1. Key Structures says:
>
>   V3 keys are deprecated. Implementations MUST NOT generate new V3
>   keys, but MAY continue to use existing ones.
>
> These can't both be correct.  I lean towards MUST NOT here,
> personally.
>

It says MUST NOT in both places. I did some more tidying in the same  
place. (There's no point in saying you MUST create a V3 key with RSA,  
if you MUST NOT create one, for example.)

> *****
>
> The first two paragraphs in section 6.4. Decoding Radix-64 contradict
> each other.  The first says that all non-radix-64 characters must be
> ignored.  The second says that non-radix-64 characters probably
> indicate a transmission error, "about which a warning message or even
> a message rejection might be appropriate under some circumstances".
>
> Suggest going with the second.
>

Done. There's one paragraph now:

   In Radix-64 data, characters other than those in the table, line  
breaks, and
   other white space probably indicate a transmission error, about  
which a warning
   message or even a message rejection might be appropriate under some
   circumstances. Decoding software must ignore all white space.

	Jon

From: Jon Callas <[email-masked]>
Subject: Re: Human-readable notation language
Date: Tue, 18 Apr 2006 12:18:30 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 12 Oct 2005, at 9:04 AM, David Shaw wrote:

> To my reading, this says more or less, "this is a note from one person
> to another except when it isn't".  Especially given such notations as
> [email-masked] which are always human-readable, I
> suggest this:
>
>      First octet: 0x80 = human-readable. This note value is text.
>
> It's just simpler.
>

Just to be clear, this change is in.

	Jon

Cc: Hal Finney <[email-masked]>, [email-masked]
From: Jon Callas <[email-masked]>
Subject: Re: Multiple signatures in clearsigned messages (was Re: Cleartext Signatures)
Date: Tue, 18 Apr 2006 12:16:29 -0700
To: Ian G <[email-masked]>
Sender: [email-masked]

On 12 Oct 2005, at 4:03 AM, Ian G wrote:

> I would prefer the disclaimer to vaguery to be
> at the beginning because that's how lawyers like
> it.  So, Something like this:
>
>   5.2.1. Signature Types
>
>     There are a number of possible meanings for a signature, which
>     may be indicated in a signature type octet in any given signature.
>     Please note that the vagueness of these meanings is
>     not a flaw, but a feature of the system. Because OpenPGP places
>     final authority for validity upon the receiver of a
>     signature, it may be that one signer's casual
>     act might be more rigorous than some other authority's
>     positive act.
>
>     These meanings are:
>

That's in -16 now.

	Jon

From: Jon Callas <[email-masked]>
Subject: Re: Signature calculation language
Date: Tue, 18 Apr 2006 12:09:42 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 12 Oct 2005, at 6:55 AM, Werner Koch wrote:

>
> On Tue, 11 Oct 2005 22:50:34 -0400, David Shaw said:
>
>> I support making 0x19 backsigs a MUST.
>
> I concur with David.  I am actually a heavy user of signing subkeys
> because they allow to keep the primary key offline.
>

I also added an implementation nit:

    The 0x19 back signatures were not required for signing subkeys  
until relatively
    recently. Consquently, there may be keys in the wild that do not  
have these back
    signatures. Implementing software may handle these keys as it  
sees fit.

	Jon

From: Jon Callas <[email-masked]>
Subject: Re: Signature calculation language
Date: Tue, 18 Apr 2006 11:59:32 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 12 Oct 2005, at 6:55 AM, Werner Koch wrote:

>
> On Tue, 11 Oct 2005 22:50:34 -0400, David Shaw said:
>
>> I support making 0x19 backsigs a MUST.
>
> I concur with David.  I am actually a heavy user of signing subkeys
> because they allow to keep the primary key offline.
>

Section 10.1 says:

    Each Subkey packet MUST be followed by one Signature packet, which
    should be a subkey binding signature issued by the top level key.
    For subkeys that can issue signatures, the subkey binding signature
    MUST contain an embedded signature subpacket with a primary key
    binding signature (0x19) issued by the subkey on the top level key.

And I think this does make it a MUST.

If there should be anything else (or this is wrong, unclear, etc.),  
just let me know.

	Jon

From: "Robert Holliday" <[email-masked]>
To: <[email-masked]>
Subject: On-line Registration Closing Sunday
Date: Wed, 12 Apr 2006 10:21:41 -0400
Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_0038_01C65E1A.E3EDC910
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit

This week is the last chance for attendees to register online for the
International Conference on Network Security.  For those interested in
registering before time runs out please go to:  www.networksecurity2006.com
<http://www.networksecurity2006.com/> 

Conference Program 

Monday, April 17

TECHNICAL SESSIONS AND PANELS 

8:45 - 10:30 am

Opening Session

Chair: Guy Copeland 

VP and Assistant to the President, CSC

. Introduction 

Guy Copeland 

. Keynote Speech 

Andy Purdy

Department of Homeland Security 

. Issues in Wiretapping Technologies 

Matt Blaze

University of Pennsylvania 

Break (10:30 - 10:45 am) 

10:45 am - 12:30 pm

Panel: User Authentication Technologies

Chair: Radia Perlman

Sun Microsystems 

. PKI: It's not that hard. Why don't we have it? 

Charlie Kaufman

Microsoft 

. Web Services/Liberty Approach to Single Sign-on 

Gerald Beuchelt 

Sun Microsystems

. Is the Identity-based Crypto the Best Solution? 

Terence Spies

Voltage Security

. PKI: Let's Make it Happen! 

Bill Burr

NIST

. SAML Comparison to Kerberos to Support a Centralized Authoritative Source
for Authentication 

Hank Simon

Lockheed Martin

Lunch (12:30 - 1:45 pm) 

1:45 - 3:00 pm

Mesh Network Security 

Chair: Russ Housley

Vigil Security, LLC 

. Status of 802.11 Mesh and Security 

Donald Eastlake III

Motorola 

. Security Issues in 802.11s 

William Arbaugh, UMD

Jesse Walker, Intel 

. More on 802.11s 

Robert Moskowitz

ICSA Labs, Cybertrust

Break (3:00 - 3:15 pm) 

3:15 - 4:30 pm 

Defending Against Denial of Service 

Chair: Jim Hughes 

Sun Microsystems 

. Surviving Denial of Service

Andy Ellis

Akamai 

. MITHRIL: Adaptable Security for Survivability in Collaborative Computing
Sites 

Von Welch, NCSA

Jim Basney, NCSA

Himanshu Khurana, NCSA 

. Investigating the Impact of Real-World Factors on Internet Worm
Propagation

Xiaoyan Hong 

University of Alabama 

4:30 - 5:30 pm 

Panel: Legislative Aspects of Security 

. Pat Schambach

Nortel

. Robert Dix Jr.

Citadel Security Software

. Michael Aisenberg

Verisign

. John Morris

Center for Democracy & Technology

5:30 - 6:30 pm

Reception 

6:45 - 7:45 pm

Tutorial: Network Incident Response 

Presenter: Richard Bejtlich

Tao Security 

Tuesday, April 18

TECHNICAL SESSIONS AND PANELS 

9:00 - 10:30 am 

Software Security 

Chair: Charlie Kaufman

Microsoft 

. Why Software Breaks

Andrew Lee 

Eset 

. Federal Standards and Guidelines

Developed by NIST

Stuart Katzke

NIST

. Impact of NSTISSP-11 on the Current

Certification Climate for Products and 

Technology

Keith Beatty

SAIC 

. How can we make products and

deployments more secure?

Eric Cole

Lockheed Martin 

Break (10:30 - 10:45 am) 

10:45 am - 12:30 pm

Network Security Protocol Issues

Chair: Hilarie Orman

Purple Streak, Inc. 

. Introduction and Comparison of IPv4 Address Resolution Protocol, ICMP
Router Discovery and ICMP Redirect; and IPv6 Neighbor Discovery Protocol
Security Issues

Michael Wasielewski

Lockheed-Martin 

. The ability for the Warfighter to share critical information across and
between networks without leakage

Adele Friedel 

Tenix America 

. Availability and Security Tradeoffs 

Arun Sood 

Task Technologies Ltd. 

. Firewall Traversal: Security and Scalability

David McGrew

Cisco Systems

. Updates on IETF Security Related Working Groups

Sam Hartman

MIT 

Russ Housley

Vigil Security 

Lunch (12:30 - 1:45 pm) 

1:45 - 3:00 pm

Security for Wireless and Internet Mobility

Chair: Bijan Jabbari

Isocore 

. Optimizations to Support Secure AP Transitions in 802.11 WLANs

Jesse Walker

Intel 

. 3GPP2 Network Firewall Configuration and Control

Michael Paddon

Qualcomm

. Proactive EAP-based handover key management for mobile wireless users

Madjid Nakhjiri

Motorola 

Break (3:00 - 3:15 pm) 

3:15 - 4:30 pm 

Panel: Internet Infrastructure Security

Chair: Hilarie Orman

Purple Streak, Inc. 

. MPLS VPN Security

Harmen van der Linde

Cisco Systems

. DHS and Internet Infrastructure Security

Marcus Sachs 

SRI

. Routing Security 

Sandra Murphy 

Sparta

. Why Routing Protocol Security isn't Seeing Wide Adoption

Russ White 

Cisco Systems

4:30 - 5:30 pm

Web Browser Security 

Moderator: Darren Moffat

Sun Microsystems 

. The Sad State of Evolution of Interface to User Security with a Focus on
the Web Browser

Eric Greenberg

Netframeworks 

. XML: Salvation or Struggle

Donald Eastlake III

Motorola 

. Web Browser Security Frameworks 

Perry Metzger

Piermont 

. Issues in Web Browser Security

Sam Hartman

MIT 

Wednesday, April 19

TECHNICAL SESSIONS AND PANELS 

9:00 - 10:30 am 

DNS Security

Chair: Donald Eastlake III

Motorola 

. Why isn't DNS security deployed, and would we be safer if it was?

Charlie Kaufman

Microsoft 

. DNSSEC and FISMA 

Scott Rose

NIST

. DNS Security 

Stuart Schechter 

Lincoln Laboratory 

. The Registry Perspective on DNSSEC

Matt Larson 

Verisgn 

Break (10:30 - 10:45 am) 

10:45 am - 12:30 pm

Panel: Trusted Platforms

Chair: Radia Perlman

Sun Microsystems 

. Trusted Computing: Towards Safe Computing Environments

Tom Hardjono

SignaCert 

. A use for TPM Technology in Routing Infrastructure

Andy Ellis

Akamai 

. Issues in TPM Technology

Ned Smith

Intel 

. An Outsider's Perspective on TPM

Russ Housley 

Vigilsec

 

------=_NextPart_000_0038_01C65E1A.E3EDC910
Content-Type: text/html;
	charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html>

<head>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Dus-ascii">
<meta name=3DGenerator content=3D"Microsoft Word 11 (filtered)">

<style>
<!--
 /* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:12.0pt;
	font-family:"Times New Roman";}
a:link, span.MsoHyperlink
	{color:blue;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{color:purple;
	text-decoration:underline;}
span.EmailStyle17
	{font-family:Arial;
	color:windowtext;}
@page Section1
	{size:8.5in 11.0in;
	margin:1.0in 1.25in 1.0in 1.25in;}
div.Section1
	{page:Section1;}
-->
</style>

</head>

<body lang=3DEN-US link=3Dblue vlink=3Dpurple>

<div class=3DSection1>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>This week is the last chance for attendees to =
register
online for the International Conference on Network Security.&nbsp; For =
those
interested in registering before time runs out please go to:&nbsp; <a
href=3D"http://www.networksecurity2006.com/">www.networksecurity2006.com<=
/a></span></font></p>

<p class=3DMsoNormal><b><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial;font-weight:bold'>&nbsp;</span></font></b></p>

<p class=3DMsoNormal><b><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial;font-weight:bold'>Conference Program =
</span></font></b></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Monday, April 17</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>TECHNICAL SESSIONS AND PANELS&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>8:45 - 10:30 am</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Opening Session</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Guy Copeland </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>VP and Assistant to the President, =
CSC</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Introduction </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Guy Copeland </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Keynote Speech </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Andy Purdy</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Department of Homeland Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Issues in Wiretapping Technologies =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Matt Blaze</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
  font-family:Arial'>University</span></font><font size=3D2 =
face=3DArial><span
 style=3D'font-size:11.0pt;font-family:Arial'> of =
Pennsylvania</span></font><font
size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;font-family:Arial'> </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Break (10:30 &#8211; 10:45 am) </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>10:45 am - 12:30 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Panel: User Authentication =
Technologies</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Radia Perlman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sun Microsystems </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; PKI: It's not that hard. Why don't we have =
it? </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Charlie Kaufman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Microsoft </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Web Services/Liberty Approach to Single =
Sign-on </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Gerald Beuchelt </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sun Microsystems</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Is the Identity-based Crypto the Best =
Solution? </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Terence Spies</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Voltage Security</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; PKI: Let&#8217;s Make it Happen! =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Bill Burr</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>NIST</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; SAML Comparison to Kerberos to Support a =
Centralized
Authoritative Source for Authentication </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Hank Simon</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Lockheed Martin</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Lunch (12:30 &#8211; 1:45 pm) </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>1:45 - 3:00 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Mesh Network Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Russ Housley</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Vigil Security, LLC </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Status of 802.11 Mesh and Security =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Donald Eastlake III</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Motorola </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Security Issues in 802.11s =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>William Arbaugh, UMD</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Jesse Walker, Intel </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; More on 802.11s </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Robert Moskowitz</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>ICSA Labs, Cybertrust</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Break (3:00 &#8211; 3:15 pm) </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>3:15 - 4:30 pm </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Defending Against Denial of Service =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Jim Hughes </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sun Microsystems </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Surviving Denial of =
Service</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Andy Ellis</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Akamai </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; MITHRIL: Adaptable Security for =
Survivability in
Collaborative Computing Sites </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Von Welch, NCSA</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Jim Basney, NCSA</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Himanshu Khurana, NCSA </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Investigating the Impact of Real-World =
Factors on Internet
Worm Propagation</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Xiaoyan Hong </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
  font-family:Arial'>University</span></font><font size=3D2 =
face=3DArial><span
 style=3D'font-size:11.0pt;font-family:Arial'> of =
Alabama</span></font><font
size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;font-family:Arial'> </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>4:30 - 5:30 pm </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Panel: Legislative Aspects of Security =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot;&nbsp;Pat Schambach</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Nortel</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot;&nbsp;Robert Dix Jr.</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Citadel Security Software</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Michael Aisenberg</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Verisign</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot;&nbsp;John Morris</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Center for Democracy &amp; =
Technology</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>5:30 - 6:30 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Reception </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>6:45 - 7:45 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Tutorial: Network Incident Response =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Presenter: Richard Bejtlich</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Tao Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Tuesday, April 18</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>TECHNICAL SESSIONS AND PANELS </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>9:00 - 10:30 am </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Software Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Charlie Kaufman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Microsoft </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Why Software Breaks</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Andrew Lee </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Eset </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Federal Standards and =
Guidelines</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Developed by NIST</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Stuart Katzke</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>NIST</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Impact of NSTISSP-11 on the =
Current</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Certification Climate for Products and =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Technology</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Keith Beatty</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>SAIC </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; How can we make products =
and</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>deployments more secure?</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Eric Cole</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Lockheed Martin </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Break (10:30 &#8211; 10:45 am) </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>10:45 am - 12:30 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Network Security Protocol Issues</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Hilarie Orman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Purple Streak, Inc. </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Introduction and Comparison of IPv4 Address =
Resolution
Protocol, ICMP Router Discovery and ICMP Redirect; and IPv6 Neighbor =
Discovery
Protocol Security Issues</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Michael Wasielewski</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Lockheed-Martin </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; The ability for the Warfighter to share =
critical information
across and between networks without leakage</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Adele Friedel </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Tenix America </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Availability and Security Tradeoffs =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Arun Sood </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Task Technologies Ltd. </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Firewall Traversal: Security and =
Scalability</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>David McGrew</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Cisco Systems</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Updates on IETF Security Related Working =
Groups</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sam Hartman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>MIT </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Russ Housley</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Vigil Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Lunch (12:30 &#8211; 1:45 pm) </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>1:45 - 3:00 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Security for Wireless and Internet =
Mobility</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Bijan Jabbari</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Isocore </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Optimizations to Support Secure AP =
Transitions in 802.11
WLANs</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Jesse Walker</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Intel </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; 3GPP2 Network Firewall Configuration and =
Control</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Michael Paddon</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Qualcomm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Proactive EAP-based handover key management =
for mobile
wireless users</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Madjid Nakhjiri</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Motorola </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Break (3:00 &#8211; 3:15 pm) </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>3:15 - 4:30 pm </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Panel: Internet Infrastructure =
Security</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Hilarie Orman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Purple Streak, Inc. </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; MPLS VPN Security</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Harmen van der Linde</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Cisco Systems</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; DHS and Internet Infrastructure =
Security</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Marcus Sachs </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>SRI</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Routing Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sandra Murphy </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
  font-family:Arial'>Sparta</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Why Routing Protocol Security isn't Seeing =
Wide Adoption</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Russ White </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Cisco Systems</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>4:30 - 5:30 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Web Browser Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Moderator: Darren Moffat</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sun Microsystems </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; The Sad State of Evolution of Interface to =
User Security
with a Focus on the Web Browser</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Eric Greenberg</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Netframeworks </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; XML: Salvation or Struggle</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Donald Eastlake III</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Motorola </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Web Browser Security Frameworks =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Perry Metzger</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Piermont </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Issues in Web Browser =
Security</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sam Hartman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>MIT </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Wednesday, April 19</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>TECHNICAL SESSIONS AND PANELS </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>9:00 - 10:30 am </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>DNS Security</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair:&nbsp;Donald Eastlake III</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Motorola </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Why isn't DNS security deployed, and would =
we be safer if
it was?</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Charlie Kaufman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Microsoft </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; DNSSEC and FISMA </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Scott Rose</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>NIST</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; DNS Security </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Stuart Schechter </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
  font-family:Arial'>Lincoln</span></font><font size=3D2 =
face=3DArial><span
style=3D'font-size:11.0pt;font-family:Arial'> Laboratory =
</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; The Registry Perspective on =
DNSSEC</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Matt Larson </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Verisgn </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Break (10:30 &#8211; 10:45 am) </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>10:45 am - 12:30 pm</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Panel: Trusted Platforms</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Chair: Radia Perlman</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Sun Microsystems </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Trusted Computing: Towards Safe Computing =
Environments</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Tom Hardjono</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>SignaCert </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; A use for TPM Technology in Routing =
Infrastructure</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Andy Ellis</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Akamai </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; Issues in TPM Technology</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Ned Smith</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Intel </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&middot; An Outsider&#8217;s Perspective on =
TPM</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Russ Housley </span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>Vigilsec</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:11.0pt;
font-family:Arial'>&nbsp;</span></font></p>

<p class=3DMsoNormal><font size=3D2 face=3DArial><span =
style=3D'font-size:10.0pt;
font-family:Arial'>&nbsp;</span></font></p>

</div>

</body>

</html>

------=_NextPart_000_0038_01C65E1A.E3EDC910--